Bug 169243 - lang/swi-pl: does not compile with OpenJDK installed
Summary: lang/swi-pl: does not compile with OpenJDK installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-19 20:00 UTC by Marcin Cieślak
Modified: 2012-07-05 20:52 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2012-06-19 20:00:33 UTC
Apparently "CONFIGURE_ARGS= ---without-jpl" 
from port Makefile gets ignored
and configure fails to find Java includes
(gets stuck on javavm)

How-To-Repeat: 
Compile swi-pl with openjdk6/7 installed.

**********************
* Package jpl
**********************
checking for gmake... gmake
checking for etags... etags
checking for a BSD-compatible install... /usr/bin/install -c 
checking for gcc... ../swipl-ld.sh
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether ../swipl-ld.sh accepts -g... yes
checking for ../swipl-ld.sh option to accept ISO C89... none needed
checking for library containing strerror... none required
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for working alloca.h... no
checking for alloca... yes
checking whether byte ordering is bigendian... no
checking build system type... x86_64-pc-freebsd
checking host system type... x86_64-pc-freebsd
configure: checking Java configuration...
checking if javac works... yes
checking for kaffe... no
checking for java... java
checking for uudecode... yes
checking if uudecode can decode base r64 file... yes
checking if java works... yes
checking for jar... jar
checking for javadoc... javadoc
checking for javac... /usr/local/bin/javac
checking for javac... (cached) /usr/local/bin/javac
checking symlink for /usr/local/bin/javac... /usr/local/bin/javavm
configure: error: cannot find java include files
gmake[1]: *** [configure] BÅÄd 1
gmake[1]: Opuszczenie katalogu `/.amd_mnt/radziecki/a/icybox/tmp/usr/ports/lang/swi-pl/work/pl-5.10.5/packages'
gmake: *** [packages] BÅÄd 1
Comment 1 Edwin Groothuis freebsd_committer 2012-06-19 20:01:11 UTC
Maintainer of lang/swi-pl,

Please note that PR ports/169243 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169243

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-06-19 20:01:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 R.Mahmatkhanov 2012-06-19 20:09:12 UTC
Marcin Cieslak wrote on 19.06.2012 22:54:
>> Number:         169243
>> Category:       ports
>> Synopsis:       lang/swi-pl: does not compile with OpenJDK installed

Hmm, it may be something, introduced by me at previous update.
Would you please apply this patch and check if the build is now passes?

http://www.freebsd.org/cgi/cvsweb.cgi/ports/lang/swi-pl/files/Attic/patch-configure?annotate=1.2


-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 Marcin Cieślak 2012-06-19 20:38:18 UTC
On Tue, 19 Jun 2012, Ruslan Mahmatkhanov wrote:

> Marcin Cieslak wrote on 19.06.2012 22:54:
> > > Number:         169243
> > > Category:       ports
> > > Synopsis:       lang/swi-pl: does not compile with OpenJDK installed
> 
> Hmm, it may be something, introduced by me at previous update.
> Would you please apply this patch and check if the build is now passes?
> 
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/lang/swi-pl/files/Attic/patch-configure?annotate=1.2

Thanks Ruslan, that was quick!

This one no longer applies, but this one fixed the problem:

--- configure.orig      2012-06-19 21:20:56.000000000 +0200
+++ configure   2012-06-19 21:21:16.000000000 +0200
@@ -34,11 +34,6 @@
     --with-world)      TARGET=world
                        shift
                        ;;
-    --without-*)       pkg=`echo $1 | sed 's/--without-//'`
-                       DISABLE_PKGS="$DISABLE_PKGS $pkg"
-                       export DISABLE_PKGS
-                       shift
-                       ;;
     --link)            TARGET="ln-$TARGET"
                        shift
                        ;;

Thank you! Although maybe we should find the way for JPL to work, although
seems I don't need it to bootstrap PrologCafe.

//Marcin
Comment 5 dfilter service freebsd_committer 2012-07-05 20:35:51 UTC
rm          2012-07-05 19:35:38 UTC

  FreeBSD ports repository

  Added files:
    lang/swi-pl/files    patch-configure 
  Log:
  - add (actually restore) patch that fix build when OpenJDK is installed
  
  PR:             169243
  Submitted by:   Marcin Cieslak <saper at saper dot info>
  Approved by:    maintainer timeout (2weeks+)
  
  Revision  Changes    Path
  1.3       +14 -0     ports/lang/swi-pl/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-07-05 20:52:15 UTC
State Changed
From-To: feedback->closed

Committed, thank you! Marcin, I'm agree that it better to fix JPL build, 
but to be honest, I'm not using it at all, so I wouldn't be able to do 
this. If you have any ideas/patches about that, please feel free to 
report them.